# Phone (USPhoneNumberGenerator)

The [Phone](/app/generation/generators/generator-reference/phone.md) generator generates a random telephone number that matches the country or region of the input telephone number and maintains the format.

## Link object structure <a href="#generator-api-phone-link-object" id="generator-api-phone-link-object"></a>

The Phone generator does not support linking. It can be made self-consistent, but not consistent with another column. You cannot configure differential privacy.

The `metadata` object is populated from the [`PhoneNumberMetadata`](https://app.tonic.ai/apidocs/index.html#/models/PhoneNumberMetadata) object, which includes a setting to indicate whether to replace invalid telephone numbers with valid telephone numbers.

```json
{
  "schema": "string",
  "table": "string",
  "column": "string",
  "path": "string",  //JSON fields only
  "dataType": "string",  //MongoDB, Amazon DynamoDB, and JSON fields only
  "metadata": {
    "presetId": "string",
    "generatorId": "USPhoneNumberGenerator",
    "replaceInvalidNumbers": boolean,
    "isConsistent": boolean,
    "encryptionProcessor": "x-on", //To use configured Structural data encryption
    "customValueProcessor": "string"  //If custom value processor applied
  }
}
```

## Example replacement <a href="#generator-api-phone-replacement" id="generator-api-phone-replacement"></a>

In the following replacement for the Phone generator, invalid telephone numbers are replaced.

Consistency is disabled.

```json
{
  "name": "cell_phone",
  "schema": "public",
  "table": "users",
  "links": [
    {
      "schema": "public",
      "table": "users",
      "column": "cell-phone",
      "metadata": {
        "presetId": "USPhoneNumberGenerator",
        "generatorId": "USPhoneNumberGenerator",
        "replaceInvalidNumbers": true,
        "isConsistent": false
      }
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-generator-assignment/generator-api-reference/generator-api-ref-phone.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
